/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.valueobject;

/**
 * OASIS XLIFF の note をあらわすバリューオブジェクト。
 */
public class BlancoXliffNote {
    /**
     * フィールド [lang]
     *
     * 項目の型 [java.lang.String]<br>
     * ターゲット言語。
     */
    private String fLang;

    /**
     * フィールド [from]
     *
     * 項目の型 [java.lang.String]<br>
     * from。
     */
    private String fFrom;

    /**
     * フィールド [text]
     *
     * 項目の型 [java.lang.String]<br>
     * テキスト自身。
     */
    private String fText;

    /**
     * フィールド [lang]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ターゲット言語。
     *
     * @param argLang フィールド[lang]に格納したい値
     */
    public void setLang(final String argLang) {
        fLang = argLang;
    }

    /**
     * フィールド[lang]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ターゲット言語。
     *
     * @return フィールド[lang]に格納されている値
     */
    public String getLang() {
        return fLang;
    }

    /**
     * フィールド [from]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * from。
     *
     * @param argFrom フィールド[from]に格納したい値
     */
    public void setFrom(final String argFrom) {
        fFrom = argFrom;
    }

    /**
     * フィールド[from]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * from。
     *
     * @return フィールド[from]に格納されている値
     */
    public String getFrom() {
        return fFrom;
    }

    /**
     * フィールド [text]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * テキスト自身。
     *
     * @param argText フィールド[text]に格納したい値
     */
    public void setText(final String argText) {
        fText = argText;
    }

    /**
     * フィールド[text]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * テキスト自身。
     *
     * @return フィールド[text]に格納されている値
     */
    public String getText() {
        return fText;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.valueobject.BlancoXliffNote[");
        buf.append("lang=" + fLang);
        buf.append(",from=" + fFrom);
        buf.append(",text=" + fText);
        buf.append("]");
        return buf.toString();
    }
}
